import { VertexFormat, VertexType } from "./vertex-formats.js";
export type VertexFormatInfo = {
    /** Length in bytes */
    byteLength: number;
    /** Type of each component */
    type: VertexType;
    /** Number of components per vertex / row */
    components: 1 | 2 | 3 | 4;
    /** Is this an integer format (normalized integer formats are not integer) */
    integer: boolean;
    /** Is this a signed format? */
    signed: boolean;
    /** Is this a normalized format? */
    normalized: boolean;
    /** Is this a webgl only format? */
    webglOnly?: boolean;
};
/**
 * Decodes a vertex format, returning type, components, byte  length and flags (integer, signed, normalized)
 */
export declare function decodeVertexFormat(format: VertexFormat): VertexFormatInfo;
//# sourceMappingURL=decode-vertex-format.d.ts.map