import type { TextureFormat } from "./texture-formats.js";
import type { TextureFeature } from "./texture-features.js";
/**
 * Texture format capabilities.
 * @note Not directly usable. Can contain TextureFeature strings that need to be checked against a specific device.
 */
export type TextureFormatCapabilities = {
    format: TextureFormat;
    /** Can the format be created */
    create: TextureFeature | boolean;
    /** If a feature string, the specified device feature determines if format is renderable. */
    render: TextureFeature | boolean;
    /** If a feature string, the specified device feature determines if format is filterable. */
    filter: TextureFeature | boolean;
    /** If a feature string, the specified device feature determines if format is blendable. */
    blend: TextureFeature | boolean;
    /** If a feature string, the specified device feature determines if format is storeable. */
    store: TextureFeature | boolean;
};
export declare function getTextureFormatCapabilities(format: TextureFormat): TextureFormatCapabilities;
//# sourceMappingURL=texture-format-capabilities.d.ts.map