import { TypedArray, TypedArrayConstructor } from "../types.js";
import { VertexFormat } from "./vertex-formats.js";
type DataType = 'uint8' | 'sint8' | 'uint16' | 'sint16' | 'uint32' | 'sint32' | 'float32';
type DataTypeNorm = 'unorm8' | 'snorm8' | 'unorm16' | 'snorm16';
export declare function getDataTypeFromTypedArray(arrayOrType: TypedArray | TypedArrayConstructor): DataType;
export declare function getTypedArrayFromDataType(dataType: DataType | DataTypeNorm): TypedArrayConstructor;
/** Get the vertex format for an attribute with TypedArray and size */
export declare function getVertexFormatFromAttribute(typedArray: TypedArray, size: number, normalized?: boolean): VertexFormat;
export {};
//# sourceMappingURL=vertex-format-from-attribute.d.ts.map